intel-microcode (3.20260210.1ubuntu2) resolute; urgency=medium

  * Recommend dracut over initramfs-tools (LP: #2142775)
  * debian/tests/initramfs: drop Ubuntu location patch

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 09 Apr 2026 19:16:17 +0200

intel-microcode (3.20260210.1ubuntu1) resolute; urgency=medium

  * SECURITY UPDATE: Merge from Debian unstable; remaining changes:
    - debian/control: Add dracut and tiny-initramfs as alternative
      recommends
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the cpio2 initramfs so test for
      its presence in any cpio
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
    - debian/tests/initramfs: invoke update-initramfs with -c to ensure an
      initrd is generated if one does not already exist so that the rest
      of the test can proceed as expected

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Fri, 27 Feb 2026 17:08:06 -0300

intel-microcode (3.20260210.1) unstable; urgency=medium

  * New upstream microcode datafile 20260210 (closes: #1127837)
    - Updated mitigations for INTEL-SA-01083 (CVE-2024-24853)
      Incorrect behavior order in transition between executive monitor and SMI
      transfer monitor (STM) in some Intel Processors may allow a privileged
      user to potentially enable escalation of privilege via local access.
    - Mitigations for INTEL-SA-01396 (CVE-2025-31648)
      Improper handling of values in the microcode flow for some Intel
      Processor Family may allow an escalation of privilege.  Startup code and
      SMM adversary with a privileged user combined with a high complexity
      attack may enable escalation of privilege via local access when attack
      requirements are present, with low impact to the confidentiality and
      integrity of the vulnerable system.
    - Fixes for undisclosed functional issues on several processors
  * Updated microcodes:
    + sig 0x000606a6, pf_mask 0x87, 2025-08-19, rev 0xd000421, size 309248
    + sig 0x000606c1, pf_mask 0x10, 2025-08-19, rev 0x10002f1, size 301056
    + sig 0x000706e5, pf_mask 0x80, 2025-07-24, rev 0x00cc, size 115712
    + sig 0x000806c1, pf_mask 0x80, 2025-07-24, rev 0x00be, size 112640
    + sig 0x000806c2, pf_mask 0xc2, 2025-07-24, rev 0x003e, size 99328
    + sig 0x000806d1, pf_mask 0xc2, 2025-07-24, rev 0x0058, size 105472
    + sig 0x000806f8, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
    + sig 0x000806f7, pf_mask 0x87, 2025-08-25, rev 0x2b000661
    + sig 0x000806f6, pf_mask 0x87, 2025-08-25, rev 0x2b000661
    + sig 0x000806f5, pf_mask 0x87, 2025-08-25, rev 0x2b000661
    + sig 0x000806f4, pf_mask 0x87, 2025-08-25, rev 0x2b000661
    + sig 0x000806f8, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
    + sig 0x000806f8, pf_mask 0x10, 2025-08-25, rev 0x2c000421
    + sig 0x000806f6, pf_mask 0x10, 2025-08-25, rev 0x2c000421
    + sig 0x000806f5, pf_mask 0x10, 2025-08-25, rev 0x2c000421
    + sig 0x000806f4, pf_mask 0x10, 2025-08-25, rev 0x2c000421
    + sig 0x00090672, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
    + sig 0x00090675, pf_mask 0x07, 2025-10-12, rev 0x003e
    + sig 0x000b06f2, pf_mask 0x07, 2025-10-12, rev 0x003e
    + sig 0x000b06f5, pf_mask 0x07, 2025-10-12, rev 0x003e
    + sig 0x000b06f6, pf_mask 0x07, 2025-10-12, rev 0x003e
    + sig 0x000b06f7, pf_mask 0x07, 2025-10-12, rev 0x003e
    + sig 0x000906a3, pf_mask 0x80, 2025-10-12, rev 0x043b, size 225280
    + sig 0x000906a4, pf_mask 0x80, 2025-10-12, rev 0x043b
    + sig 0x000906a4, pf_mask 0x40, 2025-07-10, rev 0x000c, size 119808
    + sig 0x000a0671, pf_mask 0x02, 2025-07-24, rev 0x0065, size 108544
    + sig 0x000a06a4, pf_mask 0xe6, 2025-09-24, rev 0x0028, size 141312
    + sig 0x000a06d1, pf_mask 0x95, 2025-10-31, rev 0x1000405, size 1672192
    + sig 0x000a06d1, pf_mask 0x20, 2025-10-09, rev 0xa000133, size 1643520
    + sig 0x000a06e1, pf_mask 0x97, 2025-11-03, rev 0x10002f3, size 1645568
    + sig 0x000b0650, pf_mask 0x80, 2025-09-25, rev 0x000d, size 137216
    + sig 0x000b0671, pf_mask 0x32, 2025-10-08, rev 0x0133, size 219136
    + sig 0x000b0674, pf_mask 0x32, 2025-10-08, rev 0x0133
    + sig 0x000b06a2, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
    + sig 0x000b06a3, pf_mask 0xe0, 2025-10-08, rev 0x6134
    + sig 0x000b06a8, pf_mask 0xe0, 2025-10-08, rev 0x6134
    + sig 0x000b06e0, pf_mask 0x19, 2025-09-12, rev 0x0021, size 142336
    + sig 0x000c0662, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
    + sig 0x000c06a2, pf_mask 0x82, 2025-08-03, rev 0x011b
    + sig 0x000c0652, pf_mask 0x82, 2025-08-03, rev 0x011b
    + sig 0x000c0664, pf_mask 0x82, 2025-08-03, rev 0x011b
    + sig 0x000c06f2, pf_mask 0x87, 2025-08-25, rev 0x210002d3, size 566272
    + sig 0x000c06f1, pf_mask 0x87, 2025-08-25, rev 0x210002d3

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 14 Feb 2026 09:13:55 -0300

intel-microcode (3.20251111.1) unstable; urgency=high

  * New upstream microcode datafile 20251111 (closes: #1120589)
    - Fixes for unspecified functional issues on several Intel, Intel
      Core and Intel Xeon processor models.
    - Fixes errata RPL070/ADL083/LNL047/ALR054/SPR154/EMR147:
      REP SCASB, REP CMPSB may return incorrect results when racing
      memory access with another core or thread, on Raptor Lake, Arrow
      Lake, Lunar Lake, 4th/5th gen Xeon Scalable and maybe other
      processor models
  * New microcodes:
    + sig 0x000a06e1, pf_mask 0x97, 2025-06-27, rev 0x1000273, size 1635328
  * Updated microcodes:
    + sig 0x000806f8, pf_mask 0x87, 2025-05-29, rev 0x2b000650, size 593920
    + sig 0x000806f7, pf_mask 0x87, 2025-05-29, rev 0x2b000650
    + sig 0x000806f6, pf_mask 0x87, 2025-05-29, rev 0x2b000650
    + sig 0x000806f5, pf_mask 0x87, 2025-05-29, rev 0x2b000650
    + sig 0x000806f4, pf_mask 0x87, 2025-05-29, rev 0x2b000650
    + sig 0x000806f8, pf_mask 0x10, 2025-05-29, rev 0x2c000410, size 625664
    + sig 0x000806f6, pf_mask 0x10, 2025-05-29, rev 0x2c000410
    + sig 0x000806f5, pf_mask 0x10, 2025-05-29, rev 0x2c000410
    + sig 0x000806f4, pf_mask 0x10, 2025-05-29, rev 0x2c000410
    + sig 0x00090672, pf_mask 0x07, 2025-10-12, rev 0x003d, size 226304
    + sig 0x00090675, pf_mask 0x07, 2025-10-12, rev 0x003d
    + sig 0x000b06f2, pf_mask 0x07, 2025-10-12, rev 0x003d
    + sig 0x000b06f5, pf_mask 0x07, 2025-10-12, rev 0x003d
    + sig 0x000b06f6, pf_mask 0x07, 2025-10-12, rev 0x003d
    + sig 0x000b06f7, pf_mask 0x07, 2025-10-12, rev 0x003d
    + sig 0x000906a3, pf_mask 0x80, 2025-10-12, rev 0x043a, size 224256
    + sig 0x000906a4, pf_mask 0x80, 2025-10-12, rev 0x043a
    + sig 0x000906a4, pf_mask 0x40, 2025-06-13, rev 0x000b, size 119808
    + sig 0x000a06d1, pf_mask 0x95, 2025-07-23, rev 0x10003f0, size 1670144
    + sig 0x000a06d1, pf_mask 0x20, 2025-08-29, rev 0xa000124, size 1642496
    + sig 0x000a06f3, pf_mask 0x01, 2025-07-30, rev 0x3000382, size 1534976
    + sig 0x000b0671, pf_mask 0x32, 2025-10-08, rev 0x0132, size 219136
    + sig 0x000b0674, pf_mask 0x32, 2025-10-08, rev 0x0132
    + sig 0x000b06a2, pf_mask 0xe0, 2025-10-08, rev 0x6133, size 224256
    + sig 0x000b06a3, pf_mask 0xe0, 2025-10-08, rev 0x6133
    + sig 0x000b06a8, pf_mask 0xe0, 2025-10-08, rev 0x6133
    + sig 0x000b06d1, pf_mask 0x80, 2025-08-28, rev 0x0125, size 80896
    + sig 0x000b06e0, pf_mask 0x19, 2025-05-16, rev 0x001e, size 139264
    + sig 0x000c0662, pf_mask 0x82, 2025-06-30, rev 0x011a, size 90112
    + sig 0x000c06a2, pf_mask 0x82, 2025-06-30, rev 0x011a
    + sig 0x000c0652, pf_mask 0x82, 2025-06-30, rev 0x011a
    + sig 0x000c0664, pf_mask 0x82, 2025-06-30, rev 0x011a
    + sig 0x000c06f2, pf_mask 0x87, 2025-05-29, rev 0x210002c0, size 564224
    + sig 0x000c06f1, pf_mask 0x87, 2025-05-29, rev 0x210002c0
  * source: update symlinks to reflect id of the latest release, 20251111

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 13 Nov 2025 12:48:02 -0300

intel-microcode (3.20250812.1ubuntu1) resolute; urgency=medium

  * SECURITY UPDATE: Merge from Debian unstable; remaining changes:
    - debian/control: Add dracut and tiny-initramfs as alternative
      recommends
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the cpio2 initramfs so test for
      its presence in any cpio
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
    - debian/tests/initramfs: invoke update-initramfs with -c to ensure an
      initrd is generated if one does not already exist so that the rest
      of the test can proceed as expected

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Mon, 27 Oct 2025 19:32:19 -0300

intel-microcode (3.20250812.1) unstable; urgency=medium

  [ Henrique de Moraes Holschuh ]
  * New upstream microcode datafile 20250812 (closes: #1110983, #1112168)
    - Mitgations for INTEL-SA-01249 (processor Stream Cache):
      CVE-2025-20109: Improper Isolation or Compartmentalization in the
      stream cache mechanism for some Intel Processors may allow an
      authenticated user to potentially enable escalation of privilege via
      local access.  Intel also disclosed that several processors models
      had already received this mitigation on the previous microcode
      release, 20250512.
    - Mitigations for INTEL-SA-01308:
      CVE-2025-22840: Sequence of processor instructions leads to
      unexpected behavior for some Intel Xeon 6 Scalable processors may
      allow an authenticated user to potentially enable escalation of
      privilege via local access.
    - Mitigations for INTEL-SA-01310 (OOBM services module):
      CVE-2025-22839: Insufficient granularity of access control in the
      OOB-MSM for some Intel Xeon 6 Scalable processors may allow a
      privileged user to potentially enable escalation of privilege via
      adjacent access.
    - Mitigations for INTEL-SA-01311 (Intel TDX):
      CVE-2025-22889: Improper handling of overlap between protected
      memory ranges for some Intel Xeon 6 processors with Intel TDX may
      allow a privileged user to potentially enable escalation of
      privilege via local access.
    - Mitigations for INTEL-SA-01313:
      CVE-2025-20053: Improper buffer restrictions for some Intel Xeon
      Processor firmware with SGX enabled may allow a privileged user to
      potentially enable escalation of privilege via local access.
      CVE-2025-21090: Missing reference to active allocated resource for
      some Intel Xeon processors may allow an authenticated user to
      potentially enable denial of service via local access.
      CVE-2025-24305: Insufficient control flow management in the Alias
      Checking Trusted Module (ACTM) firmware for some Intel Xeon
      processors may allow a privileged user to potentially enable
      escalation of privilege via local access.
    - Mitigations for INTEL-SA-01367 (Intel SGX, TDX):
      CVE-2025-26403: Out-of-bounds write in the memory subsystem for some
      Intel Xeon 6 processors when using Intel SGX or Intel TDX may allow
      a privileged user to potentially enable escalation of privilege via
      local access.
      CVE-2025-32086: Improperly implemented security check for standard
      in the DDRIO configuration for some Intel Xeon 6 Processors when
      using Intel SGX or Intel TDX may allow a privileged user to
      potentially enable escalation of privilege via local access.
    - Fixes for unspecified functional issues on several Intel Core and
      Intel Xeon processor models.
  * Updated microcodes:
    sig 0x000606a6, pf_mask 0x87, 2025-03-11, rev 0xd000410, size 309248
    sig 0x000606c1, pf_mask 0x10, 2025-03-06, rev 0x10002e0, size 301056
    sig 0x000806f8, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
    sig 0x000806f7, pf_mask 0x87, 2025-04-04, rev 0x2b000643
    sig 0x000806f6, pf_mask 0x87, 2025-04-04, rev 0x2b000643
    sig 0x000806f5, pf_mask 0x87, 2025-04-04, rev 0x2b000643
    sig 0x000806f4, pf_mask 0x87, 2025-04-04, rev 0x2b000643
    sig 0x000806f8, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
    sig 0x000806f6, pf_mask 0x10, 2025-04-08, rev 0x2c000401
    sig 0x000806f5, pf_mask 0x10, 2025-04-08, rev 0x2c000401
    sig 0x000806f4, pf_mask 0x10, 2025-04-08, rev 0x2c000401
    sig 0x000a06a4, pf_mask 0xe6, 2025-03-19, rev 0x0025, size 140288
    sig 0x000a06d1, pf_mask 0x95, 2025-05-15, rev 0x10003d0, size 1667072
    sig 0x000a06d1, pf_mask 0x20, 2025-05-15, rev 0xa000100, size 1638400
    sig 0x000a06f3, pf_mask 0x01, 2025-05-03, rev 0x3000362, size 1530880
    sig 0x000b06a2, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
    sig 0x000b06a3, pf_mask 0xe0, 2025-02-24, rev 0x4129
    sig 0x000b06a8, pf_mask 0xe0, 2025-02-24, rev 0x4129
    sig 0x000b06d1, pf_mask 0x80, 2025-05-21, rev 0x0123, size 80896
    sig 0x000c0662, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
    sig 0x000c06a2, pf_mask 0x82, 2025-05-14, rev 0x0119
    sig 0x000c0652, pf_mask 0x82, 2025-05-14, rev 0x0119
    sig 0x000c0664, pf_mask 0x82, 2025-05-14, rev 0x0119
    sig 0x000c06f2, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
    sig 0x000c06f1, pf_mask 0x87, 2025-04-15, rev 0x210002b3
  * update entry for 3.20250512.1 with new information
  * source: update symlinks to reflect id of the latest release, 20250812

  [ Ben Hutchings ]
  * debian/tests/initramfs: Update to work with forky's initramfs-tools.
    In version 0.149 of initramfs-tools, unmkinitramfs was changed to no
    longer create early/ and main/ subdirectories.  Update the microcode
    file check to work with both old and new behaviours.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 13 Sep 2025 18:30:55 -0300

intel-microcode (3.20250512.1ubuntu1) questing; urgency=medium

  * SECURITY UPDATE: Merge from Debian unstable; remaining changes:
    - debian/control: Add dracut and tiny-initramfs as alternative
      recommends
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the cpio2 initramfs so test for
      its presence in any cpio
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
    - debian/tests/initramfs: invoke update-initramfs with -c to ensure an
      initrd is generated if one does not already exist so that the rest
      of the test can proceed as expected

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 May 2025 09:08:39 -0400

intel-microcode (3.20250512.1) unstable; urgency=high

  * New upstream microcode datafile 20250512 (closes: #1105172)
    - Mitigations for INTEL-SA-01153 (ITS: Indirect Target Selection):
      CVE-2024-28956: Processor may incompletely mitigate Branch Target
      Injection due to indirect branch predictions that are not fully
      constrained by eIBRS nor by the IBPB barrier.  Part of the "Training
      Solo" set of vulnerabilities.
    - Mitigations for INTEL-SA-01244:
      CVE-2025-20103: Insufficient resource pool in the core management
      mechanism for some Intel Processors may allow an authenticated user
      to potentially enable denial of service via local access.
      CVE-2025-20054: Uncaught exception in the core management mechanism
      for some Intel Processors may allow an authenticated user to
      potentially enable denial of service via local access.
    - Mitigations for INTEL-SA-01247:
      CVE-2024-43420, CVE-2025-20623: Exposure of sensitive information
      caused by shared microarchitectural predictor state that influences
      transient execution for some Intel Atom and some Intel Core
      processors (10th Generation) may allow an authenticated user to
      potentially enable information disclosure via local access.
      CVE-2024-45332 (Branch Privilege Injection): Exposure of sensitive
      information caused by shared microarchitectural predictor state that
      influences transient execution in the indirect branch predictors for
      some Intel Processors may allow an authenticated user to potentially
      enable information disclosure via local access.
    - Mitigations for INTEL-SA-01322:
      CVE-2025-24495 (Training Solo): Incorrect initialization of resource
      in the branch prediction unit for some Intel Core Ultra Processors
      may allow an authenticated user to potentially enable information
      disclosure via local access (IBPB bypass)
      CVE-2025-20012 (Training Solo): Incorrect behavior order for some
      Intel Core Ultra Processors may allow an unauthenticated user to
      potentially enable information disclosure via physical access.
    - Improved fix for the Vmin Shift Instability for the Intel Core 13th
      and 14th gen processors under low-activity scenarios (sig 0xb0671).
      This microcode update is supposed to be delivered as a system
      firmware update, but according to Intel it should be effective when
      loaded by the operating system if the system firmware has revision
      0x12e.
    - Fixes for unspecified functional issues on several processor models
  * New microcodes or new extended signatures:
    sig 0x000a06d1, pf_mask 0x95, 2025-02-07, rev 0x10003a2, size 1664000
    sig 0x000a06d1, pf_mask 0x20, 2025-02-07, rev 0xa0000d1, size 1635328
    sig 0x000b0650, pf_mask 0x80, 2025-03-18, rev 0x000a, size 136192
    sig 0x000b06d1, pf_mask 0x80, 2025-03-18, rev 0x011f, size 79872
    sig 0x000c0662, pf_mask 0x82, 2025-03-20, rev 0x0118, size 90112
    sig 0x000c06a2, pf_mask 0x82, 2025-03-20, rev 0x0118
    sig 0x000c0652, pf_mask 0x82, 2025-03-20, rev 0x0118
    sig 0x000c0664, pf_mask 0x82, 2025-03-20, rev 0x0118
  * Updated microcodes:
    sig 0x00050657, pf_mask 0xbf, 2024-12-12, rev 0x5003901, size 39936
    sig 0x0005065b, pf_mask 0xbf, 2024-12-12, rev 0x7002b01, size 30720
    sig 0x000606a6, pf_mask 0x87, 2025-01-07, rev 0xd000404, size 309248
    sig 0x000606c1, pf_mask 0x10, 2025-01-07, rev 0x10002d0, size 300032
    sig 0x000706a8, pf_mask 0x01, 2024-12-05, rev 0x0026, size 76800
    sig 0x000706e5, pf_mask 0x80, 2025-01-07, rev 0x00ca, size 115712
    sig 0x000806c1, pf_mask 0x80, 2024-12-01, rev 0x00bc, size 112640
    sig 0x000806c2, pf_mask 0xc2, 2024-12-01, rev 0x003c, size 99328
    sig 0x000806d1, pf_mask 0xc2, 2024-12-11, rev 0x0056, size 105472
    sig 0x000806ec, pf_mask 0x94, 2024-11-17, rev 0x0100, size 106496
    sig 0x000806f8, pf_mask 0x87, 2025-01-28, rev 0x2b000639, size 591872
    sig 0x000806f7, pf_mask 0x87, 2025-01-28, rev 0x2b000639
    sig 0x000806f6, pf_mask 0x87, 2025-01-28, rev 0x2b000639
    sig 0x000806f5, pf_mask 0x87, 2025-01-28, rev 0x2b000639
    sig 0x000806f4, pf_mask 0x87, 2025-01-28, rev 0x2b000639
    sig 0x000806f8, pf_mask 0x10, 2025-01-28, rev 0x2c0003f7, size 624640
    sig 0x000806f6, pf_mask 0x10, 2025-01-28, rev 0x2c0003f7
    sig 0x000806f5, pf_mask 0x10, 2025-01-28, rev 0x2c0003f7
    sig 0x000806f4, pf_mask 0x10, 2025-01-28, rev 0x2c0003f7
    sig 0x00090672, pf_mask 0x07, 2024-12-12, rev 0x003a, size 226304
    sig 0x00090675, pf_mask 0x07, 2024-12-12, rev 0x003a
    sig 0x000b06f2, pf_mask 0x07, 2024-12-12, rev 0x003a
    sig 0x000b06f5, pf_mask 0x07, 2024-12-12, rev 0x003a
    sig 0x000b06f6, pf_mask 0x07, 2024-12-12, rev 0x003a
    sig 0x000b06f7, pf_mask 0x07, 2024-12-12, rev 0x003a
    sig 0x000906a3, pf_mask 0x80, 2024-12-12, rev 0x0437, size 224256
    sig 0x000906a4, pf_mask 0x80, 2024-12-12, rev 0x0437
    sig 0x000906a4, pf_mask 0x40, 2024-12-06, rev 0x000a, size 119808
    sig 0x000906ed, pf_mask 0x22, 2024-11-14, rev 0x0104, size 106496
    sig 0x000a0652, pf_mask 0x20, 2024-11-14, rev 0x0100, size 97280
    sig 0x000a0653, pf_mask 0x22, 2024-11-14, rev 0x0100, size 98304
    sig 0x000a0655, pf_mask 0x22, 2024-11-14, rev 0x0100, size 97280
    sig 0x000a0660, pf_mask 0x80, 2024-11-14, rev 0x0102, size 98304
    sig 0x000a0661, pf_mask 0x80, 2024-11-14, rev 0x0100, size 97280
    sig 0x000a0671, pf_mask 0x02, 2024-12-01, rev 0x0064, size 108544
    sig 0x000a06a4, pf_mask 0xe6, 2025-02-13, rev 0x0024, size 140288
    sig 0x000a06f3, pf_mask 0x01, 2025-02-10, rev 0x3000341, size 1542144
    sig 0x000b0671, pf_mask 0x32, 2025-03-17, rev 0x012f, size 219136
    sig 0x000b0674, pf_mask 0x32, 2025-03-17, rev 0x012f
    sig 0x000b06a2, pf_mask 0xe0, 2025-01-15, rev 0x4128, size 224256
    sig 0x000b06a3, pf_mask 0xe0, 2025-01-15, rev 0x4128
    sig 0x000b06a8, pf_mask 0xe0, 2025-01-15, rev 0x4128
    sig 0x000b06e0, pf_mask 0x19, 2024-12-06, rev 0x001d, size 139264
    sig 0x000c06f2, pf_mask 0x87, 2025-03-14, rev 0x210002a9, size 563200
    sig 0x000c06f1, pf_mask 0x87, 2025-03-14, rev 0x210002a9
  * Removed microcodes (ES/QS steppings):
    sig 0x00050656, pf_mask 0xbf, 2023-07-28, rev 0x4003605, size 38912
    sig 0x000c06f1, pf_mask 0x87, 2025-03-14, rev 0x210002a9 [EXCLUDED]
  * Makefile: exclude QS/ES steppings 0x50656, 0xc06f1.
  * Makefile: add targets to create split F-M-S /lib/firmware dir
  * debian/rules: use new intel-ucode-{fw,fw64} Makefile targets
    Removes from the binary package the F-M-S files for extended signatures
    that were excluded by IUC_EXCLUDE.
  * source: update symlinks to reflect id of the latest release, 20250512

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 17 May 2025 01:35:08 -0300

intel-microcode (3.20250211.1ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: Merge from Debian unstable; remaining changes:
    - debian/control: Add dracut and tiny-initramfs as alternative
      recommends
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the cpio2 initramfs so test for
      its presence in any cpio
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
    - debian/tests/initramfs: invoke update-initramfs with -c to ensure an
      initrd is generated if one does not already exist so that the rest
      of the test can proceed as expected

 -- Alex Murray <alex.murray@canonical.com>  Tue, 25 Feb 2025 13:45:25 +1030

intel-microcode (3.20250211.1) unstable; urgency=medium

  * New upstream microcode datafile 20250211 (closes: #1095805)
    - Mitigations for INTEL-SA-01166 (CVE-2024-31068)
      Improper Finite State Machines (FSMs) in Hardware Logic for some Intel
      Processors may allow privileged user to potentially enable denial of
      service via local access.
    - Mitigations for INTEL-SA-01213 (CVE-2024-36293)
      Improper access control in the EDECCSSA user leaf function for some
      Intel Processors with Intel SGX may allow an authenticated user to
      potentially enable denial of service via local access.  Intel disclosed
      that some 9th Generation Intel Core processor models were already fixed
      by a previous microcode update.
    - Mitigations for INTEL-SA-01139 (CVE-2023-43758, CVE-2023-34440,
      CVE-2024-24582, CVE-2024-29214, CVE-2024-28127, CVE-2024-39279,
      CVE-2024-31157, CVE-2024-28047)
      Improper input validation, insufficient granularity of access control,
      and improper initialization issues in UEFI firmware for some Intel
      processors may allow escalation of privilege, denial of service, or
      information disclosure.  An UEFI firmware update is needed for complete
      mitigation.
    - Mitigations for INTEL-SA-01228 (CVE-2024-39355)
      Improper handling of physical or environmental conditions in some 13th
      and 14th Generation Intel Core Processors may allow an authenticated
      user to enable denial of service via local access.  An UEFI firmware
      update may be required for complete mitigation.
    - Mitigations for INTEL-SA-01194 (CVE-2024-37020)
      Sequence of processor instructions leads to unexpected behavior in the
      Intel DSA V1.0 for some Intel Xeon Processors may allow an authenticated
      user to potentially enable denial of service via local access.
    - Fixes for unspecified functional issues on several processor models
  * New microcodes or new extended signatures:
    sig 0x000a06f3, pf_mask 0x01, 2024-11-22, rev 0x3000330, size 1533952
    sig 0x000b06f6, pf_mask 0x07, 2024-08-01, rev 0x0038, size 225280
    sig 0x000b06f7, pf_mask 0x07, 2024-08-01, rev 0x0038, size 225280
    sig 0x000b0674, pf_mask 0x32, 2024-09-25, rev 0x012c, size 211968
  * Updated microcodes:
    sig 0x000606a6, pf_mask 0x87, 2024-08-02, rev 0xd0003f5, size 308224
    sig 0x000606c1, pf_mask 0x10, 2024-08-08, rev 0x10002c0, size 300032
    sig 0x000806f8, pf_mask 0x87, 2024-07-30, rev 0x2b000620, size 589824
    sig 0x000806f7, pf_mask 0x87, 2024-07-30, rev 0x2b000620
    sig 0x000806f6, pf_mask 0x87, 2024-07-30, rev 0x2b000620
    sig 0x000806f5, pf_mask 0x87, 2024-07-30, rev 0x2b000620
    sig 0x000806f4, pf_mask 0x87, 2024-07-30, rev 0x2b000620
    sig 0x000806f8, pf_mask 0x10, 2024-07-30, rev 0x2c0003e0, size 622592
    sig 0x000806f6, pf_mask 0x10, 2024-07-30, rev 0x2c0003e0
    sig 0x000806f5, pf_mask 0x10, 2024-07-30, rev 0x2c0003e0
    sig 0x000806f4, pf_mask 0x10, 2024-07-30, rev 0x2c0003e0
    sig 0x00090672, pf_mask 0x07, 2024-08-01, rev 0x0038, size 225280
    sig 0x00090675, pf_mask 0x07, 2024-08-01, rev 0x0038
    sig 0x000b06f2, pf_mask 0x07, 2024-08-01, rev 0x0038
    sig 0x000b06f5, pf_mask 0x07, 2024-08-01, rev 0x0038
    sig 0x000906a3, pf_mask 0x80, 2024-08-01, rev 0x0436, size 223232
    sig 0x000906a4, pf_mask 0x80, 2024-08-01, rev 0x0436
    sig 0x000906a4, pf_mask 0x40, 2024-07-29, rev 0x0009, size 119808
    sig 0x000906ea, pf_mask 0x22, 2024-07-28, rev 0x00fa, size 105472
    sig 0x000906ed, pf_mask 0x22, 2024-07-31, rev 0x0102, size 106496
    sig 0x000a0671, pf_mask 0x02, 2024-08-01, rev 0x0063, size 108544
    sig 0x000b0671, pf_mask 0x32, 2024-09-25, rev 0x012c, size 211968
    sig 0x000b06a2, pf_mask 0xe0, 2024-07-31, rev 0x4124, size 220160
    sig 0x000b06a3, pf_mask 0xe0, 2024-07-31, rev 0x4124
    sig 0x000b06a8, pf_mask 0xe0, 2024-07-31, rev 0x4124
    sig 0x000b06e0, pf_mask 0x19, 2024-09-06, rev 0x001c, size 138240
    sig 0x000c06f2, pf_mask 0x87, 2024-07-30, rev 0x21000291, size 560128
    sig 0x000c06f1, pf_mask 0x87, 2024-07-30, rev 0x21000291
  * source: update symlinks to reflect id of the latest release, 20250211
  * Update changelog for 3.20240813.1 with new information

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 16 Feb 2025 18:34:38 -0300

intel-microcode (3.20241112.1ubuntu2) plucky; urgency=medium

  * Add dracut and tiny-initramfs as alternative recommends
    (Closes: #1088079).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Nov 2024 14:57:31 -0600

intel-microcode (3.20241112.1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable; remaining changes:
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the early2 initramfs so test for its
      presence in any early
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
  * debian/tests/initramfs: invoke update-initramfs with -c to ensure an
    initrd is generated if one does not already exist so that the rest of
    the test can proceed as expected

 -- Alex Murray <alex.murray@canonical.com>  Mon, 18 Nov 2024 15:31:16 +1030

intel-microcode (3.20241112.1) unstable; urgency=medium

  * New upstream microcode datafile 20241112 (closes: #1086483)
    - Mitigations for INTEL-SA-01101 (CVE-2024-21853)
      Improper Finite State Machines (FSMs) in the Hardware logic in some
      4th and 5th Generation Intel Xeon Processors may allow an authorized
      user to potentially enable denial of service via local access.
    - Mitigations for INTEL-SA-01079 (CVE-2024-23918)
      Potential security vulnerabilities in some Intel Xeon processors
      using Intel SGX may allow escalation of privilege.  Intel disclosed
      that some processor models were already fixed by a previous
      microcode update.
    - Updated mitigations for INTEL-SA-01097 (CVE-2024-24968)
      Improper finite state machines (FSMs) in hardware logic in some
      Intel Processors may allow an privileged user to potentially enable a
      denial of service via local access.
    - Mitigations for INTEL-SA-01103 (CVE-2024-23984)
      A potential security vulnerability in the Running Average Power Limit
      (RAPL) interface for some Intel Processors may allow information
      disclosure.  Added mitigations for more processor models.
  * Updated Microcodes:
    sig 0x000806f8, pf_mask 0x87, 2024-06-20, rev 0x2b000603, size 588800
    sig 0x000806f7, pf_mask 0x87, 2024-06-20, rev 0x2b000603
    sig 0x000806f6, pf_mask 0x87, 2024-06-20, rev 0x2b000603
    sig 0x000806f5, pf_mask 0x87, 2024-06-20, rev 0x2b000603
    sig 0x000806f4, pf_mask 0x87, 2024-06-20, rev 0x2b000603
    sig 0x00090672, pf_mask 0x07, 2024-05-29, rev 0x0037, size 224256
    sig 0x00090675, pf_mask 0x07, 2024-05-29, rev 0x0037
    sig 0x000b06f2, pf_mask 0x07, 2024-05-29, rev 0x0037
    sig 0x000b06f5, pf_mask 0x07, 2024-05-29, rev 0x0037
    sig 0x000906a3, pf_mask 0x80, 2024-06-03, rev 0x0435, size 223232
    sig 0x000906a4, pf_mask 0x80, 2024-06-03, rev 0x0435
    sig 0x000a06a4, pf_mask 0xe6, 2024-08-02, rev 0x0020, size 138240
    sig 0x000b06a2, pf_mask 0xe0, 2024-05-29, rev 0x4123, size 220160
    sig 0x000b06a3, pf_mask 0xe0, 2024-05-29, rev 0x4123
    sig 0x000b06a8, pf_mask 0xe0, 2024-05-29, rev 0x4123
    sig 0x000c06f2, pf_mask 0x87, 2024-06-20, rev 0x21000283, size 560128
    sig 0x000c06f1, pf_mask 0x87, 2024-06-20, rev 0x21000283
  * source: update symlinks to reflect id of the latest release, 20241112
  * Update changelog for 3.20240910.1 and 3.20240813.1 with new information:
    INTEL-SA-1103 was addressed by 3.20240813.1 for some processor models,
    and not by 3.20240910. INTEL-SA-1079 was addressed by 3.20240910.1 for
    some processor models.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 14 Nov 2024 15:37:40 -0300

intel-microcode (3.20241029.1) UNRELEASED; urgency=medium

  * New upstream microcode datafile 20241029
    - Not relevant for operating system microcode updates
    - Only when loaded from firmware, this update fixes the critical,
      potentially hardware-damaging errata RPL061: Incorrect Internal
      Voltage Request on Raptor Lake (Core 13th/14th gen) Intel
      processors.
  * Updated Microcodes:
    sig 0x000b0671, pf_mask 0x32, 2024-08-29, rev 0x012b, size 211968

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 14 Nov 2024 14:49:03 -0300

intel-microcode (3.20240910.1) unstable; urgency=medium

  * New upstream microcode datafile 20240910 (closes: #1081363)
    - Mitigations for INTEL-SA-01097 (CVE-2024-24968)
      Improper finite state machines (FSMs) in hardware logic in some
      Intel Processors may allow an privileged user to potentially enable a
      denial of service via local access.
    - Fixes for unspecified functional issues on several processor models
    - The processor voltage limit issue on Core 13rd/14th gen REQUIRES A
      FIRMWARE UPDATE.  It is present in this release for sig 0xb0671, but
      THE VOLTAGE ISSUE FIX ONLY WORKS WHEN THE MICROCODE UPDATE IS LOADED
      THROUGH THE FIT TABLE IN FIRMWARE.  Contact your system vendor for a
      firmware update that includes the appropriate microcode update for
      your processor.
  * Updated Microcodes:
    sig 0x00090672, pf_mask 0x07, 2024-02-22, rev 0x0036, size 224256
    sig 0x00090675, pf_mask 0x07, 2024-02-22, rev 0x0036
    sig 0x000b06f2, pf_mask 0x07, 2024-02-22, rev 0x0036
    sig 0x000b06f5, pf_mask 0x07, 2024-02-22, rev 0x0036
    sig 0x000906a3, pf_mask 0x80, 2024-02-22, rev 0x0434, size 222208
    sig 0x000906a4, pf_mask 0x80, 2024-02-22, rev 0x0434
    sig 0x000a06a4, pf_mask 0xe6, 2024-06-17, rev 0x001f, size 137216
    sig 0x000b0671, pf_mask 0x32, 2024-07-18, rev 0x0129, size 215040
    sig 0x000b06a2, pf_mask 0xe0, 2024-02-22, rev 0x4122, size 220160
    sig 0x000b06a3, pf_mask 0xe0, 2024-02-22, rev 0x4122
    sig 0x000b06a8, pf_mask 0xe0, 2024-02-22, rev 0x4122
    sig 0x000b06e0, pf_mask 0x19, 2024-03-25, rev 0x001a, size 138240
  * Update changelog for 3.20240813.1 with new information
  * Update changelog for 3.20240514.1 with new information
  * source: update symlinks to reflect id of the latest release, 20240910

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 21 Sep 2024 16:40:07 -0300

intel-microcode (3.20240910.0ubuntu1) oracular; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20240910
    - Updated microcodes:
      sig 0x00090672, pf_mask 0x07, 2024-02-22, rev 0x0036, size 224256
      sig 0x00090675, pf_mask 0x07, 2024-02-22, rev 0x0036, size 224256
      sig 0x000906a3, pf_mask 0x80, 2024-02-22, rev 0x0434, size 222208
      sig 0x000906a4, pf_mask 0x80, 2024-02-22, rev 0x0434, size 222208
      sig 0x000a06a4, pf_mask 0xe6, 2024-06-17, rev 0x001f, size 137216
      sig 0x000b0671, pf_mask 0x32, 2024-07-18, rev 0x0129, size 215040
      sig 0x000b06a2, pf_mask 0xe0, 2024-02-22, rev 0x4122, size 220160
      sig 0x000b06a3, pf_mask 0xe0, 2024-02-22, rev 0x4122, size 220160
      sig 0x000b06a8, pf_mask 0xe0, 2024-02-22, rev 0x4122, size 220160
      sig 0x000b06e0, pf_mask 0x19, 2024-03-25, rev 0x001a, size 138240
      sig 0x000b06f2, pf_mask 0x07, 2024-02-22, rev 0x0036, size 224256
      sig 0x000b06f5, pf_mask 0x07, 2024-02-22, rev 0x0036, size 224256
    - CVE-2024-23984 (INTEL-SA-01103)
    - CVE-2024-24968 (INTEL-SA-01097)
  * source: update symlinks to reflect id of the latest release, 20240910

 -- Alex Murray <alex.murray@canonical.com>  Thu, 12 Sep 2024 10:10:13 +0930

intel-microcode (3.20240813.2ubuntu2) oracular; urgency=medium

  [ Alex Murray ]
  * debian/tests/initramfs: update test for location of GenuineIntel.bin
    since in Ubuntu this lives under the early2 initramfs so test for its
    presence in any early

  [ Timo Aaltonen ]
  * tests: Modify generic kernel dep as an alternative to the original one.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 30 Aug 2024 06:36:27 +0300

intel-microcode (3.20240813.2ubuntu1) oracular; urgency=medium

  * tests: Fix the kernel pkg name.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 17:34:29 +0300

intel-microcode (3.20240813.2) unstable; urgency=high

  * Merge changes from intel-microcode/3.20240531.1+nmu1, which were left out
    from 3.20240813.1 by an oversight, regressing merged-usr. Closes: #1060200

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 17 Aug 2024 11:31:32 -0300

intel-microcode (3.20240813.1) unstable; urgency=medium

  * New upstream microcode datafile 20240813 (closes: #1078742)
    - Mitigations for INTEL-SA-01083 (CVE-2024-24853)
      Incorrect behavior order in transition between executive monitor and SMI
      transfer monitor (STM) in some Intel Processors may allow a privileged
      user to potentially enable escalation of privilege via local access.
    - Mitigations for INTEL-SA-01118 (CVE-2024-25939)
      Mirrored regions with different values in 3rd Generation Intel Xeon
      Scalable Processors may allow a privileged user to potentially enable
      denial of service via local access.
    - Mitigations for INTEL-SA-01100 (CVE-2024-24980)
      Protection mechanism failure in some 3rd, 4th, and 5th Generation Intel
      Xeon Processors may allow a privileged user to potentially enable
      escalation of privilege via local access.
    - Mitigations for INTEL-SA-01038 (CVE-2023-42667)
      Improper isolation in the Intel Core Ultra Processor stream cache
      mechanism may allow an authenticated user to potentially enable
      escalation of privilege via local access.  Intel disclosed that some
      processor models were already fixed by the previous microcode update.
    - Mitigations for INTEL-SA-01046 (CVE-2023-49141)
      Improper isolation in some Intel Processors stream cache mechanism may
      allow an authenticated user to potentially enable escalation of
      privilege via local access.  Intel disclosed that some processor models
      were already fixed by the previous microcode update.
    - Mitigations for INTEL-SA-01079 (CVE-2024-23918)
      Potential security vulnerabilities in some Intel Xeon processors
      using Intel SGX may allow escalation of privilege.  Intel released this
      information during the full disclosure for the 20241112 update.
      Processor signatures 0x606a6 and 0x606c1.
    - Mitigations for INTEL-SA-01103 (CVE-2024-23984)
      A potential security vulnerability in the Running Average Power Limit
      (RAPL) interface for some Intel Processors may allow information
      disclosure. Intel released this information during the full disclosure
      for the 20240910 update.  Processor signatures 0x5065b, 0x606a6,
      0x606c1.
    - Fix for unspecified functional issues on several processor models
    - Fix for errata TGL068/ADL075/ICL088/... "Processor may hang during a
      microcode update".  It is not clear which processors were fixed by this
      release, or by one of the microcode updates from 2024-05.
    - Mitigations for INTEL-SA-01213 (CVE-2024-36293)
      Improper access control in the EDECCSSA user leaf function for some
      Intel Processors with Intel SGX may allow an authenticated user to
      potentially enable denial of service via local access.  Intel released
      this information during the full disclosure for the 20250211 update.
      Processor signature 0x906ec (9th Generation Intel Core processor).
  * Updated microcodes:
    sig 0x00050657, pf_mask 0xbf, 2024-03-01, rev 0x5003707, size 39936
    sig 0x0005065b, pf_mask 0xbf, 2024-04-01, rev 0x7002904, size 30720
    sig 0x000606a6, pf_mask 0x87, 2024-04-01, rev 0xd0003e7, size 308224
    sig 0x000606c1, pf_mask 0x10, 2024-04-03, rev 0x10002b0, size 300032
    sig 0x000706e5, pf_mask 0x80, 2024-02-15, rev 0x00c6, size 114688
    sig 0x000806c1, pf_mask 0x80, 2024-02-15, rev 0x00b8, size 112640
    sig 0x000806c2, pf_mask 0xc2, 2024-02-15, rev 0x0038, size 99328
    sig 0x000806d1, pf_mask 0xc2, 2024-02-15, rev 0x0052, size 104448
    sig 0x000806e9, pf_mask 0xc0, 2024-02-01, rev 0x00f6, size 106496
    sig 0x000806e9, pf_mask 0x10, 2024-02-01, rev 0x00f6, size 106496
    sig 0x000806ea, pf_mask 0xc0, 2024-02-01, rev 0x00f6, size 105472
    sig 0x000806eb, pf_mask 0xd0, 2024-02-01, rev 0x00f6, size 106496
    sig 0x000806ec, pf_mask 0x94, 2024-02-05, rev 0x00fc, size 106496
    sig 0x00090661, pf_mask 0x01, 2024-04-05, rev 0x001a, size 20480
    sig 0x000906ea, pf_mask 0x22, 2024-02-01, rev 0x00f8, size 105472
    sig 0x000906eb, pf_mask 0x02, 2024-02-01, rev 0x00f6, size 106496
    sig 0x000906ec, pf_mask 0x22, 2024-02-01, rev 0x00f8, size 106496
    sig 0x000906ed, pf_mask 0x22, 2024-02-05, rev 0x0100, size 106496
    sig 0x000a0652, pf_mask 0x20, 2024-02-01, rev 0x00fc, size 97280
    sig 0x000a0653, pf_mask 0x22, 2024-02-01, rev 0x00fc, size 98304
    sig 0x000a0655, pf_mask 0x22, 2024-02-01, rev 0x00fc, size 97280
    sig 0x000a0660, pf_mask 0x80, 2024-02-01, rev 0x00fe, size 97280
    sig 0x000a0661, pf_mask 0x80, 2024-02-01, rev 0x00fc, size 97280
    sig 0x000a0671, pf_mask 0x02, 2024-03-07, rev 0x0062, size 108544
    sig 0x000a06a4, pf_mask 0xe6, 2024-04-15, rev 0x001e, size 137216
  * source: update symlinks to reflect id of the latest release, 20240813
  * postinst, postrm: switch to dpkg-trigger to run update-initramfs

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 15 Aug 2024 14:41:50 -0300

intel-microcode (3.20240531.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install aliased files into /usr (DEP17 M2) (Closes: #1060200)
  * Add superficial autopkgtest for initramfs hook.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 03 Jun 2024 22:45:50 +0200

intel-microcode (3.20240531.1) unstable; urgency=medium

  * New upstream microcode datafile 20240531
    * Fix unspecified functional issues on Pentium Silver N/J5xxx,
      Celeron N/J4xxx
    * Updated Microcodes:
      sig 0x000706a1, pf_mask 0x01, 2024-04-19, rev 0x0042, size 76800
  * source: update symlinks to reflect id of the latest release, 20240531

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 01 Jun 2024 11:49:47 -0300

intel-microcode (3.20240514.1) unstable; urgency=medium

  * New upstream microcode datafile 20240514 
    * Mitigations for INTEL-SA-01051 (CVE-2023-45733)
      Hardware logic contains race conditions in some Intel Processors may
      allow an authenticated user to potentially enable partial information
      disclosure via local access.
    * Mitigations for INTEL-SA-01052 (CVE-2023-46103)
      Sequence of processor instructions leads to unexpected behavior in
      Intel Core Ultra Processors may allow an authenticated user to
      potentially enable denial of service via local access.
    * Mitigations for INTEL-SA-01036 (CVE-2023-45745,  CVE-2023-47855)
      Improper input validation in some Intel TDX module software before
      version 1.5.05.46.698 may allow a privileged user to potentially enable
      escalation of privilege via local access.
    * Mitigations for INTEL-SA-01046 (CVE-2023-49141)
      Improper isolation in some Intel Processors stream cache mechanism may
      allow an authenticated user to potentially enable escalation of
      privilege via local access (time-travel entry, added after Intel
      released this information during the full disclosure for the 20240813
      update)
    * Mitigations for INTEL-SA-01046 (CVE-2023-49141)
      Improper isolation in some Intel Processors stream cache mechanism may
      allow an authenticated user to potentially enable escalation of
      privilege via local access (time-travel entry, added after Intel
      released this information during the full disclosure for the 20240813
      update).  Processor signatures 0x806f4-0x806f8, 0xb0671, 0x90672, and
      0x90675
    * Mitigations for INTEL-SA-01100 (CVE-2024-24980) for the Intel
      Protection mechanism failure in some 3rd, 4th, and 5th Generation Intel
      Xeon Processors may allow a privileged user to potentially enable
      escalation of privilege via local access (time-travel entry, added after
      Intel released this information during the full disclosure for the
      20240813 update).  Processor signatures 0xc06f1 and 0xc06f2.
    * Fix for unspecified functional issues on 4th gen and 5th gen Xeon
      Scalable, 12th, 13th and 14th gen Intel Core processors, as well as for
      Core i3 N-series processors.
    * Updated microcodes:
      sig 0x000806f8, pf_mask 0x87, 2024-02-05, rev 0x2b0005c0, size 581632
      sig 0x000806f7, pf_mask 0x87, 2024-02-05, rev 0x2b0005c0
      sig 0x000806f6, pf_mask 0x87, 2024-02-05, rev 0x2b0005c0
      sig 0x000806f5, pf_mask 0x87, 2024-02-05, rev 0x2b0005c0
      sig 0x000806f4, pf_mask 0x87, 2024-02-05, rev 0x2b0005c0
      sig 0x000806f8, pf_mask 0x10, 2024-02-05, rev 0x2c000390, size 614400
      sig 0x000806f6, pf_mask 0x10, 2024-02-05, rev 0x2c000390
      sig 0x000806f5, pf_mask 0x10, 2024-02-05, rev 0x2c000390
      sig 0x000806f4, pf_mask 0x10, 2024-02-05, rev 0x2c000390
      sig 0x00090672, pf_mask 0x07, 2023-12-05, rev 0x0035, size 224256
      sig 0x00090675, pf_mask 0x07, 2023-12-05, rev 0x0035
      sig 0x000b06f2, pf_mask 0x07, 2023-12-05, rev 0x0035
      sig 0x000b06f5, pf_mask 0x07, 2023-12-05, rev 0x0035
      sig 0x000906a3, pf_mask 0x80, 2023-12-05, rev 0x0433, size 222208
      sig 0x000906a4, pf_mask 0x80, 2023-12-05, rev 0x0433
      sig 0x000906a4, pf_mask 0x40, 2023-12-07, rev 0x0007, size 119808
      sig 0x000b0671, pf_mask 0x32, 2024-01-25, rev 0x0123, size 215040
      sig 0x000b06e0, pf_mask 0x11, 2023-12-07, rev 0x0017, size 138240
      sig 0x000c06f2, pf_mask 0x87, 2024-02-05, rev 0x21000230, size 552960
      sig 0x000c06f1, pf_mask 0x87, 2024-02-05, rev 0x21000230
  * source: update symlinks to reflect id of the latest release, 20240514

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 16 May 2024 21:40:52 -0300

intel-microcode (3.20240312.1) unstable; urgency=medium

  * New upstream microcode datafile 20240312 (closes: #1066108)
    - Mitigations for INTEL-SA-INTEL-SA-00972 (CVE-2023-39368):
      Protection mechanism failure of bus lock regulator for some Intel
      Processors may allow an unauthenticated user to potentially enable
      denial of service via network access.
    - Mitigations for INTEL-SA-INTEL-SA-00982 (CVE-2023-38575):
      Non-transparent sharing of return predictor targets between contexts in
      some Intel Processors may allow an authorized user to potentially
      enable information disclosure via local access.  Affects SGX as well.
    - Mitigations for INTEL-SA-INTEL-SA-00898 (CVE-2023-28746), aka RFDS:
      Information exposure through microarchitectural state after transient
      execution from some register files for some Intel Atom Processors and
      E-cores of Intel Core Processors may allow an authenticated user to
      potentially enable information disclosure via local access.  Enhances
      VERW instruction to clear stale register buffers.  Affects SGX as well.
      Requires kernel update to be effective.
    - Mitigations for INTEL-SA-INTEL-SA-00960 (CVE-2023-22655), aka TECRA:
      Protection mechanism failure in some 3rd and 4th Generation Intel Xeon
      Processors when using Intel SGX or Intel TDX may allow a privileged
      user to potentially enable escalation of privilege via local access.
      NOTE: effective only when loaded by firmware.  Allows SMM firmware to
      attack SGX/TDX.
    - Mitigations for INTEL-SA-INTEL-SA-01045 (CVE-2023-43490):
      Incorrect calculation in microcode keying mechanism for some Intel
      Xeon D Processors with Intel SGX may allow a privileged user to
      potentially enable information disclosure via local access.
  * Fixes for other unspecified functional issues on many processors
  * Updated microcodes:
    sig 0x00050653, pf_mask 0x97, 2023-07-28, rev 0x1000191, size 36864
    sig 0x00050656, pf_mask 0xbf, 2023-07-28, rev 0x4003605, size 38912
    sig 0x00050657, pf_mask 0xbf, 2023-07-28, rev 0x5003605, size 37888
    sig 0x0005065b, pf_mask 0xbf, 2023-08-03, rev 0x7002802, size 30720
    sig 0x00050665, pf_mask 0x10, 2023-08-03, rev 0xe000015, size 23552
    sig 0x000506f1, pf_mask 0x01, 2023-10-05, rev 0x003e, size 11264
    sig 0x000606a6, pf_mask 0x87, 2023-09-14, rev 0xd0003d1, size 307200
    sig 0x000606c1, pf_mask 0x10, 2023-12-05, rev 0x1000290, size 299008
    sig 0x000706a1, pf_mask 0x01, 2023-08-25, rev 0x0040, size 76800
    sig 0x000706a8, pf_mask 0x01, 2023-08-25, rev 0x0024, size 76800
    sig 0x000706e5, pf_mask 0x80, 2023-09-14, rev 0x00c4, size 114688
    sig 0x000806c1, pf_mask 0x80, 2023-09-13, rev 0x00b6, size 111616
    sig 0x000806c2, pf_mask 0xc2, 2023-09-13, rev 0x0036, size 98304
    sig 0x000806d1, pf_mask 0xc2, 2023-09-13, rev 0x0050, size 104448
    sig 0x000806ec, pf_mask 0x94, 2023-07-16, rev 0x00fa, size 106496
    sig 0x000806f8, pf_mask 0x87, 2024-01-03, rev 0x2b000590, size 579584
    sig 0x000806f7, pf_mask 0x87, 2024-01-03, rev 0x2b000590
    sig 0x000806f6, pf_mask 0x87, 2024-01-03, rev 0x2b000590
    sig 0x000806f5, pf_mask 0x87, 2024-01-03, rev 0x2b000590
    sig 0x000806f4, pf_mask 0x87, 2024-01-03, rev 0x2b000590
    sig 0x00090661, pf_mask 0x01, 2023-09-26, rev 0x0019, size 20480
    sig 0x00090672, pf_mask 0x07, 2023-09-19, rev 0x0034, size 224256
    sig 0x00090675, pf_mask 0x07, 2023-09-19, rev 0x0034
    sig 0x000b06f2, pf_mask 0x07, 2023-09-19, rev 0x0034
    sig 0x000b06f5, pf_mask 0x07, 2023-09-19, rev 0x0034
    sig 0x000906a3, pf_mask 0x80, 2023-09-19, rev 0x0432, size 222208
    sig 0x000906a4, pf_mask 0x80, 2023-09-19, rev 0x0432
    sig 0x000906c0, pf_mask 0x01, 2023-09-26, rev 0x24000026, size 20480
    sig 0x000906e9, pf_mask 0x2a, 2023-09-28, rev 0x00f8, size 108544
    sig 0x000906ea, pf_mask 0x22, 2023-07-26, rev 0x00f6, size 105472
    sig 0x000906ec, pf_mask 0x22, 2023-07-26, rev 0x00f6, size 106496
    sig 0x000906ed, pf_mask 0x22, 2023-07-27, rev 0x00fc, size 106496
    sig 0x000a0652, pf_mask 0x20, 2023-07-16, rev 0x00fa, size 97280
    sig 0x000a0653, pf_mask 0x22, 2023-07-16, rev 0x00fa, size 97280
    sig 0x000a0655, pf_mask 0x22, 2023-07-16, rev 0x00fa, size 97280
    sig 0x000a0660, pf_mask 0x80, 2023-07-16, rev 0x00fa, size 97280
    sig 0x000a0661, pf_mask 0x80, 2023-07-16, rev 0x00fa, size 96256
    sig 0x000a0671, pf_mask 0x02, 2023-09-14, rev 0x005e, size 108544
    sig 0x000b0671, pf_mask 0x32, 2023-12-14, rev 0x0122, size 215040
    sig 0x000b06a2, pf_mask 0xe0, 2023-12-07, rev 0x4121, size 220160
    sig 0x000b06a3, pf_mask 0xe0, 2023-12-07, rev 0x4121
    sig 0x000b06e0, pf_mask 0x11, 2023-09-25, rev 0x0015, size 138240
  * New microcodes:
    sig 0x000a06a4, pf_mask 0xe6, 2024-01-03, rev 0x001c, size 136192
    sig 0x000b06a8, pf_mask 0xe0, 2023-12-07, rev 0x4121, size 220160
    sig 0x000c06f2, pf_mask 0x87, 2023-11-20, rev 0x21000200, size 549888
    sig 0x000c06f1, pf_mask 0x87, 2023-11-20, rev 0x21000200
  * source: update symlinks to reflect id of the latest release, 20240312
  * changelog, debian/changelog: fix typos

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 12 Mar 2024 20:28:17 -0300

intel-microcode (3.20231114.1) unstable; urgency=medium

  * New upstream microcode datafile 20231114 (closes: #1055962)
    Mitigations for "reptar", INTEL-SA-00950 (CVE-2023-23583)
    Sequence of processor instructions leads to unexpected behavior for some
    Intel(R) Processors, may allow an authenticated user to potentially enable
    escalation of privilege and/or information disclosure and/or denial of
    service via local access.
    Note: "reptar" on 4th gen Xeon Scalable (sig 0x806f8 pfm 0x87), 12th gen
    Core mobile (sig 0x906a4 pfm 0x80), 13th gen Core desktop (sig 0xb0671 pfm
    0x01) were already mitigated by a previous microcode update.
  * Fixes for unspecified functional issues
  * Updated microcodes:
    sig 0x000606a6, pf_mask 0x87, 2023-09-01, rev 0xd0003b9, size 299008
    sig 0x000606c1, pf_mask 0x10, 2023-09-08, rev 0x1000268, size 290816
    sig 0x000706e5, pf_mask 0x80, 2023-09-03, rev 0x00c2, size 113664
    sig 0x000806c1, pf_mask 0x80, 2023-09-07, rev 0x00b4, size 111616
    sig 0x000806c2, pf_mask 0xc2, 2023-09-07, rev 0x0034, size 98304
    sig 0x000806d1, pf_mask 0xc2, 2023-09-07, rev 0x004e, size 104448
    sig 0x000806f8, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0, size 572416
    sig 0x000806f8, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0
    sig 0x000806f7, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0
    sig 0x000806f6, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0
    sig 0x000806f5, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0
    sig 0x000806f4, pf_mask 0x87, 2023-06-16, rev 0x2b0004d0
    sig 0x000806f8, pf_mask 0x10, 2023-06-26, rev 0x2c000290, size 605184
    sig 0x000806f8, pf_mask 0x10, 2023-06-26, rev 0x2c000290
    sig 0x000806f6, pf_mask 0x10, 2023-06-26, rev 0x2c000290
    sig 0x000806f5, pf_mask 0x10, 2023-06-26, rev 0x2c000290
    sig 0x000806f4, pf_mask 0x10, 2023-06-26, rev 0x2c000290
    sig 0x00090672, pf_mask 0x07, 2023-06-07, rev 0x0032, size 222208
    sig 0x00090672, pf_mask 0x07, 2023-06-07, rev 0x0032
    sig 0x00090675, pf_mask 0x07, 2023-06-07, rev 0x0032
    sig 0x000b06f2, pf_mask 0x07, 2023-06-07, rev 0x0032
    sig 0x000b06f5, pf_mask 0x07, 2023-06-07, rev 0x0032
    sig 0x000906a3, pf_mask 0x80, 2023-06-07, rev 0x0430, size 220160
    sig 0x000906a3, pf_mask 0x80, 2023-06-07, rev 0x0430
    sig 0x000906a4, pf_mask 0x80, 2023-06-07, rev 0x0430
    sig 0x000906a4, pf_mask 0x40, 2023-05-05, rev 0x0005, size 117760
    sig 0x000a0671, pf_mask 0x02, 2023-09-03, rev 0x005d, size 104448
    sig 0x000b0671, pf_mask 0x32, 2023-08-29, rev 0x011d, size 210944
    sig 0x000b06a2, pf_mask 0xe0, 2023-08-30, rev 0x411c, size 216064
    sig 0x000b06a2, pf_mask 0xe0, 2023-08-30, rev 0x411c
    sig 0x000b06a3, pf_mask 0xe0, 2023-08-30, rev 0x411c
    sig 0x000b06e0, pf_mask 0x11, 2023-06-26, rev 0x0012, size 136192
  * Updated 2023-08-08 changelog entry with reptar information
  * source: update symlinks to reflect id of the latest release, 20231114

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 16 Nov 2023 08:09:43 -0300

intel-microcode (3.20230808.1) unstable; urgency=high

  * New upstream microcode datafile 20230808 (closes: #1043305)
    * Mitigations for "Downfall" INTEL-SA-00828 (CVE-2022-40982),
      INTEL-SA-00836 (CVE-2023-23908) and INTEL-SA-00837 (CVE-2022-41804)
    * Mitigations for "reptar" on a few processors, refer to the 2023-11-14
      entry for details.  This information was disclosed in 2023-11-14.
    * Updated microcodes:
      sig 0x00050653, pf_mask 0x97, 2023-03-23, rev 0x1000181, size 36864
      sig 0x00050654, pf_mask 0xb7, 2023-03-06, rev 0x2007006, size 44032
      sig 0x00050656, pf_mask 0xbf, 2023-03-17, rev 0x4003604, size 38912
      sig 0x00050657, pf_mask 0xbf, 2023-03-17, rev 0x5003604, size 38912
      sig 0x0005065b, pf_mask 0xbf, 2023-03-21, rev 0x7002703, size 30720
      sig 0x000606a6, pf_mask 0x87, 2023-03-30, rev 0xd0003a5, size 297984
      sig 0x000706e5, pf_mask 0x80, 2023-02-26, rev 0x00bc, size 113664
      sig 0x000806c1, pf_mask 0x80, 2023-02-27, rev 0x00ac, size 111616
      sig 0x000806c2, pf_mask 0xc2, 2023-02-27, rev 0x002c, size 98304
      sig 0x000806d1, pf_mask 0xc2, 2023-02-27, rev 0x0046, size 103424
      sig 0x000806e9, pf_mask 0xc0, 2023-02-22, rev 0x00f4, size 106496
      sig 0x000806e9, pf_mask 0x10, 2023-02-23, rev 0x00f4, size 105472
      sig 0x000806ea, pf_mask 0xc0, 2023-02-23, rev 0x00f4, size 105472
      sig 0x000806eb, pf_mask 0xd0, 2023-02-23, rev 0x00f4, size 106496
      sig 0x000806ec, pf_mask 0x94, 2023-02-26, rev 0x00f8, size 106496
      sig 0x000806f8, pf_mask 0x87, 2023-05-09, rev 0x2b0004b1, size 572416
      sig 0x000806f7, pf_mask 0x87, 2023-05-09, rev 0x2b0004b1
      sig 0x000806f6, pf_mask 0x87, 2023-05-09, rev 0x2b0004b1
      sig 0x000806f5, pf_mask 0x87, 2023-05-09, rev 0x2b0004b1
      sig 0x000806f4, pf_mask 0x87, 2023-05-09, rev 0x2b0004b1
      sig 0x000806f8, pf_mask 0x10, 2023-05-15, rev 0x2c000271, size 605184
      sig 0x000806f6, pf_mask 0x10, 2023-05-15, rev 0x2c000271
      sig 0x000806f5, pf_mask 0x10, 2023-05-15, rev 0x2c000271
      sig 0x000806f4, pf_mask 0x10, 2023-05-15, rev 0x2c000271
      sig 0x00090672, pf_mask 0x07, 2023-04-18, rev 0x002e, size 220160
      sig 0x00090675, pf_mask 0x07, 2023-04-18, rev 0x002e
      sig 0x000b06f2, pf_mask 0x07, 2023-04-18, rev 0x002e
      sig 0x000b06f5, pf_mask 0x07, 2023-04-18, rev 0x002e
      sig 0x000906a3, pf_mask 0x80, 2023-04-18, rev 0x042c, size 219136
      sig 0x000906a4, pf_mask 0x80, 2023-04-18, rev 0x042c
      sig 0x000906e9, pf_mask 0x2a, 2023-02-23, rev 0x00f4, size 108544
      sig 0x000906ea, pf_mask 0x22, 2023-02-23, rev 0x00f4, size 104448
      sig 0x000906eb, pf_mask 0x02, 2023-02-23, rev 0x00f4, size 106496
      sig 0x000906ec, pf_mask 0x22, 2023-02-23, rev 0x00f4, size 105472
      sig 0x000906ed, pf_mask 0x22, 2023-02-27, rev 0x00fa, size 106496
      sig 0x000a0652, pf_mask 0x20, 2023-02-23, rev 0x00f8, size 97280
      sig 0x000a0653, pf_mask 0x22, 2023-02-23, rev 0x00f8, size 97280
      sig 0x000a0655, pf_mask 0x22, 2023-02-23, rev 0x00f8, size 97280
      sig 0x000a0660, pf_mask 0x80, 2023-02-23, rev 0x00f8, size 97280
      sig 0x000a0661, pf_mask 0x80, 2023-02-23, rev 0x00f8, size 96256
      sig 0x000a0671, pf_mask 0x02, 2023-02-26, rev 0x0059, size 104448
      sig 0x000b0671, pf_mask 0x32, 2023-06-06, rev 0x0119, size 210944
      sig 0x000b06a2, pf_mask 0xe0, 2023-06-06, rev 0x4119, size 216064
      sig 0x000b06a3, pf_mask 0xe0, 2023-06-06, rev 0x4119
      sig 0x000b06e0, pf_mask 0x11, 2023-04-12, rev 0x0011, size 136192
  * source: update symlinks to reflect id of the latest release, 20230808

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 08 Aug 2023 17:25:56 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog intel-microcode`.
